#include <bits/stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    short h, w, i, j;
    cin >> h >> w;
    char matrexica[h][w];
    for(i = 0; i < h; ++i){
        for(j = 0; j < w; ++j){
            cin >> matrexica[i][j];
        }
    }
    cout << -1;
    return 0;
}